[Pkg-cli-apps-commits] [SCM] banshee-community-extensions branch, experimental, updated. debian/2.0.1-1-20-g0fb8c30

Chow Loong Jin hyperair at ubuntu.com
Mon Jun 13 18:34:34 UTC 2011


The following commit has been merged in the experimental branch:
commit e1773a67fcd6f866d3ea214acf833c88c37eea7e
Author: Chow Loong Jin <hyperair at ubuntu.com>
Date:   Sat May 28 17:28:58 2011 +0800

    Use upstream autogen.sh with dh_autoreconf
    
    autoreconf is broken in the sense that it greps configure.ac for AM_*GETTEXT*
    macros, doesn't find it, and assumes the project isn't using gettext, and hence
    doesn't run intltoolize.

diff --git a/debian/autogen.sh b/debian/autogen.sh
new file mode 100755
index 0000000..8fbe242
--- /dev/null
+++ b/debian/autogen.sh
@@ -0,0 +1,85 @@
+#!/usr/bin/env bash
+
+PROJECT=banshee-community-extensions
+
+function error () {
+	echo "Error: $1" 1>&2
+	exit 1
+}
+
+function check_autotool_version () {
+	which $1 &>/dev/null || {
+		error "$1 is not installed, and is required to configure $PACKAGE"
+	}
+
+	version=$($1 --version | head -n 1 | cut -f4 -d' ')
+	major=$(echo $version | cut -f1 -d.)
+	minor=$(echo $version | cut -f2 -d.)
+	rev=$(echo $version | cut -f3 -d. | sed 's/[^0-9].*$//')
+	major_check=$(echo $2 | cut -f1 -d.)
+	minor_check=$(echo $2 | cut -f2 -d.)
+	rev_check=$(echo $2 | cut -f3 -d.)
+
+	if [ $major -lt $major_check ]; then
+		do_bail=yes
+	elif [[ $minor -lt $minor_check && $major = $major_check ]]; then
+		do_bail=yes
+	elif [[ $rev -lt $rev_check && $minor = $minor_check && $major = $major_check ]]; then
+		do_bail=yes
+	fi
+
+	if [ x"$do_bail" = x"yes" ]; then
+		error "$1 version $2 or better is required to configure $PROJECT"
+	fi
+}
+
+function run () {
+	echo "Running $@ ..."
+	$@ 2>.autogen.log || {
+		cat .autogen.log 1>&2
+		rm .autogen.log
+		error "Could not run $1, which is required to configure $PROJECT"
+	}
+	rm .autogen.log
+}
+
+srcdir=$(dirname $0)
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.ac) || {
+	error "Directory \"$srcdir\" does not look like the top-level $PROJECT directory"
+}
+
+# MacPorts on OS X only seems to have glibtoolize
+WHICHLIBTOOLIZE=$(which libtoolize || which glibtoolize)
+if [ x"$WHICHLIBTOOLIZE" == x"" ]; then
+	error "libtool is required to configure $PROJECT"
+fi
+LIBTOOLIZE=$(basename $WHICHLIBTOOLIZE)
+
+check_autotool_version aclocal 1.9
+check_autotool_version automake 1.9
+check_autotool_version autoconf 2.53
+check_autotool_version $LIBTOOLIZE 1.4.3
+check_autotool_version intltoolize 0.35.0
+check_autotool_version pkg-config 0.14.0
+
+run intltoolize --force --copy
+run $LIBTOOLIZE --force --copy --automake
+run aclocal -I build/m4/shamrock -I build/m4/shave -I build/m4/extensions $ACLOCAL_FLAGS
+run autoconf
+run autoheader
+test -f config.h.in && touch config.h.in
+run automake --gnu --add-missing --force --copy \
+	-Wno-portability -Wno-portability
+
+if [ $# = 0 ]; then
+	echo "WARNING: I am going to run configure without any arguments."
+fi
+
+if [ -z "$NOCONFIGURE" ]; then
+    run ./configure --enable-maintainer-mode $@
+else
+    echo "Done. ./configure skipped because NOCONFIGURE was set"
+fi
+
diff --git a/debian/rules b/debian/rules
index d1ebf26..fb1dc65 100755
--- a/debian/rules
+++ b/debian/rules
@@ -5,6 +5,10 @@ include /usr/share/cli-common/cli.make
 
 BANSHEE_VERSION = $(shell pkg-config --modversion banshee-thickclient)
 
+override_dh_autoreconf:
+	ln -s debian/autogen.sh
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
+
 # disable zeitgeistdataprovider and lirc due to dependencies missing
 override_dh_auto_configure:
 	dh_auto_configure -- \

-- 
banshee-community-extensions



More information about the Pkg-cli-apps-commits mailing list